# Created by pyp2rpm-2.0.0
%global github_user matrix-org
%global pypi_name canonicaljson

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        2%{?dist}.3
Summary:        Canonical JSON

License:        ASL 2.0
URL:            https://github.com/%{github_user}/%{name}
Source0:        https://github.com/%{github_user}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-simplejson >= 3.6.5
BuildRequires:  python-frozendict >= 0.4
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-simplejson >= 3.6.5
BuildRequires:  python3-frozendict >= 0.4

%description
Features
* Encodes objects and arrays as RFC 7159 JSON.
* Sorts object keys so that you get the same result each time.
* Has no inignificant whitespace to make the output as small as possible.
* Escapes only the characters that must be escaped,
  U+0000 to U+0019 / U+0022 / U+0056, to keep the output as small as possible.
* Uses the shortest escape sequence for each escaped character.
* Encodes the JSON as UTF-8.
* Can encode frozendict immutable dictionaries

%package -n     python2-%{pypi_name}
Summary:        Canonical JSON
Requires:       python-simplejson >= 3.6.5
Requires:       python-frozendict >= 0.4
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Features
* Encodes objects and arrays as RFC 7159 JSON.
* Sorts object keys so that you get the same result each time.
* Has no inignificant whitespace to make the output as small as possible.
* Escapes only the characters that must be escaped,
  U+0000 to U+0019 / U+0022 / U+0056, to keep the output as small as possible.
* Uses the shortest escape sequence for each escaped character.
* Encodes the JSON as UTF-8.
* Can encode frozendict immutable dictionaries

%package -n     python3-%{pypi_name}
Summary:        Canonical JSON
Requires:       python3-simplejson >= 3.6.5
Requires:       python3-frozendict >= 0.4
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Features
* Encodes objects and arrays as RFC 7159 JSON.
* Sorts object keys so that you get the same result each time.
* Has no inignificant whitespace to make the output as small as possible.
* Escapes only the characters that must be escaped,
  U+0000 to U+0019 / U+0022 / U+0056, to keep the output as small as possible.
* Uses the shortest escape sequence for each escaped character.
* Encodes the JSON as UTF-8.
* Can encode frozendict immutable dictionaries


%prep
%autosetup

%build
%py2_build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%py2_install


%check
%{__python2} test_canonicaljson.py
%{__python3} test_canonicaljson.py

%files -n python2-%{pypi_name} 
%doc README.rst
%doc LICENSE
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%doc README.rst
%doc LICENSE
%{python3_sitelib}/%{pypi_name}.py*
%{python3_sitelib}/__pycache__/%{pypi_name}.*
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Nov 29 2015 Oleg Girko <ol@infoserver.lv> - 1.0.0-2
- Add proper requires
- Run tests
* Sat Nov 28 2015 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package.
